List webhook deliveries

View as Markdown

Path parameters

org_idstringRequired
workspace_idstringRequired
deployment_idstringRequired
Deployment whose webhook deliveries to list

Query parameters

limitintegerOptional1-250Defaults to 50

Number of records per page (max 250)

afterstring or nullOptional

Cursor for the next page (from previous response cursors.after)

beforestring or nullOptional

Cursor for the previous page (from previous response cursors.before)

start_datetimedatetime or nullOptional

Filter by delivery start time, lower bound (inclusive, ISO 8601)

end_datetimedatetime or nullOptional

Filter by delivery start time, upper bound (inclusive, ISO 8601)

statusenum or nullOptional
Filter by delivery status
Allowed values:

Response

Successful Response
itemslist of objects
Webhook delivery records on this page
limitinteger
Maximum items per page
cursorsobject
Pagination cursors

Errors

422
Unprocessable Entity Error